import { Link } from "react-router-dom";
import BasicWindow from "../../Components/BasicWindow";
import Button from "../../Components/Button";

function UserProjectPage(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">ProjectNameExample</h1>
      <div className="border-4 border-black bg-white flex flex-col items-center justify-center min-h-[65vh] h-fit w-[50vw] rounded-3xl content-center overflow-scroll space-y-[10vh] p-[30px]">
        <h1 className="font-bold underline text-[30px] cursor-pointer">
          Your Time Reports
        </h1>
        <Link to="/new-time-report">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            New Time Report
          </h1>
        </Link>
      </div>
    </>
  );

  const buttons = (
    <>
      <Link to="/your-projects">
        <Button
          text="Back"
          onClick={(): void => {
            return;
          }}
          type="button"
        />
      </Link>
    </>
  );

  return <BasicWindow username="Admin" content={content} buttons={buttons} />;
}
export default UserProjectPage;
